Get Grok Conversation
Get Grok conversation detail by conversation id.
Back to API Reference
/Grok Endpoints
POST
/v3/twitter/grok/conversationAuthorization
AuthorizationBearer token · headerrequiredGlobal API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Request Body
requiredapplication/jsonconversation_idstringrequiredGrok conversation rest id.
cookiestringrequiredThe user's own authorized Twitter session credentials or auth_token (BYOC — Bring Your Own Cookie). Stateless proxy execution with zero credential retention. See [Authentication Security](/authentication#write-operations--byoc-bring-your-own-cookie) and [How to get Cookie](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie).
proxystring | anyOptional HTTP proxy. Example: http://username:password@ip:port
Show propertiesHide properties
Any of:
string
stringany
anyResponses
200Grok conversation messages.
codeintegerrequiredResponse code
msgstringrequiredResponse message
dataGrokConversationData | anyGrok conversation detail
Show propertiesHide properties
Any of:
GrokConversationData
conversation_idstringrequiredGrok conversation rest id
is_pinnedbooleanWhether the conversation is pinned
default: false
cursorstring | anyPagination cursor
Show propertiesHide properties
Any of:
string
stringany
anyitemsGrokConversationItem[]Conversation items
Show propertiesHide properties
Array of
GrokConversationItemchat_item_idstringrequiredChat item id
messagestring | anyMessage content
Show propertiesHide properties
Any of:
string
stringany
anysender_typestring | anySender type: User or Agent
Show propertiesHide properties
Any of:
string
stringany
anycreated_at_msinteger | anyCreated at timestamp in ms
Show propertiesHide properties
Any of:
integer
integerany
anygrok_modestring | anyGrok mode
Show propertiesHide properties
Any of:
string
stringany
anythinking_tracestring | anyThinking trace text
Show propertiesHide properties
Any of:
string
stringany
anyimage_urlsstring[]Generated image urls from card attachments
any
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobject⚡Interactive ConsolePOST
⚡Interactive Console / Try APIPOSTLive Console
🌐Target Server:
https://api.twexapi.io● Production Ready
✍️
Write Operation Credentials Guide (TwexAPI Key + Twitter Cookie)
1. TwexAPI Platform Key (Bearer Token): Enter under "API Authorization" below for request billing & authentication.
2. Twitter Account Cookie: For write operations (tweet, like, follow, etc.), provide the target Twitter account's Cookie (e.g. auth_token=...; ct0=...) in the cookie field of Request Body below.
🔑API Authorization
📝Request Bodyapplication/json
📡
No Response Yet
Configure parameters in the Request tab and click Send Request below.
Request
curl -X POST "https://api.twexapi.io/v3/twitter/grok/conversation" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"conversation_id": "2063972906435248338",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/v3/twitter/grok/conversation", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"conversation_id": "2063972906435248338",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/v3/twitter/grok/conversation",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"conversation_id": "2063972906435248338",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
},
)Response
{
"code": 200,
"msg": "success",
"data": {
"conversation_id": "string",
"is_pinned": false,
"cursor": "string",
"items": [
{
"chat_item_id": "2063977852924837888",
"message": "string",
"sender_type": "User",
"created_at_ms": 0,
"grok_mode": "Normal",
"thinking_trace": "string",
"image_urls": [
"string"
]
}
]
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}